From b1a614aa05b0901bd12fed8a48f2756f9b4d9665 Mon Sep 17 00:00:00 2001
From: Renatafsouza <renata.rfsouza@gmail.com>
Date: Jun 21 2018 01:21:41 +0000
Subject: [PATCH 35/42] [SOLID] SRP at method formatPackage


---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index a134f5a..c369789 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -75,14 +75,21 @@ export default {
         let previous = this.createPrevious(packageFilter)
         return {
           name: packageFilter.name,
-          version: packageFilter.versions.sort((versionA, versionB) => {
-            return versionA.number < versionB.number
-          })[0].number,
+          version: this.getLastPackageVersion(packageFilter),
           previous: previous,
-          ranking: Math.round(Math.random() * 100) / 100
+          ranking: this.getRandomSequence
         }
       })
+    },
+    getLastPackageVersion (pack) {
+      pack.versions.sort((versionA, versionB) => {
+        return versionA.number < versionB.number
+      })[0].number
+    },
+    getRandomSequence () {
+      return Math.round(Math.random() * 100) / 100
     }
+
   },
   methods: {
     ...mapActions([
@@ -123,7 +130,7 @@ export default {
       this.errorCountDown = errorCountDown
     },
     showAlert (successMessage) {
-      if(successMessage) {
+      if (successMessage) {
         this.successCountDown = this.dismissSecs
       } else {
         this.errorCountDown = this.dismissSecs

